ServiceContext.FOLDERS
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.application.aquamaps.aquamapsservice.impl
Enum ServiceContext.FOLDERS

    java.lang.Object
      java.lang.Enum<ServiceContext.FOLDERS>
          org.gcube.application.aquamaps.aquamapsservice.impl.ServiceContext.FOLDERS

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ServiceContext.FOLDERS>

Enclosing class:
  ServiceContext

    public static enum ServiceContext.FOLDERS

extends java.lang.Enum<ServiceContext.FOLDERS>

Enum Constant Summary
`ANALYSIS`
`CLUSTERS`
`IMPORTS`
`SERIALIZED`
`TABLES`

Method Summary
`static ServiceContext.FOLDERS` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ServiceContext.FOLDERS[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SERIALIZED

    public static final ServiceContext.FOLDERS SERIALIZED

### CLUSTERS

    public static final ServiceContext.FOLDERS CLUSTERS

### IMPORTS

    public static final ServiceContext.FOLDERS IMPORTS

### TABLES

    public static final ServiceContext.FOLDERS TABLES

### ANALYSIS

    public static final ServiceContext.FOLDERS ANALYSIS

Method Detail

### values

    public static ServiceContext.FOLDERS[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ServiceContext.FOLDERS c : ServiceContext.FOLDERS.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ServiceContext.FOLDERS valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD